<?php
$bucket="https://indeval-webdocs-publico-01122020.s3.amazonaws.com/";
$newimg = trim($_POST['newimg']);
$newfile1 = trim($_POST['newfileestatutosArchivo']);
$newfile2 = trim($_POST['newfilereglamentoArchivo']);
$newfile3 = trim($_POST['newfiletarifasArchivo']);

$oldimg = trim($_POST['oldimg']);
$oldimg2 = trim($_POST['oldimg2']);
$oldimg3 = trim($_POST['oldimg3']);

$lang = $_GET['lang'];
$id = $_GET['id'];

$enviado = $_GET['enviado'];

$estatutosArchivo = trim($_POST['estatutosArchivo']);
$reglamentoArchivo = trim($_POST['reglamentoArchivo']);
$tarifasArchivo = trim($_POST['tarifasArchivo']);

    $estatutosSlug = trim($_POST['estatutosSlug']);
    $estatutosTexto = trim($_POST['estatutosTexto']);
    $estatutosTextoBoton = trim($_POST['estatutosTextoBoton']);
    $estatutosTitulo = trim($_POST['estatutosTitulo']);
    
    $reglamentoSlug = trim($_POST['reglamentoSlug']);
    $reglamentoTexto = trim($_POST['reglamentoTexto']);
    $reglamentoTextoBoton = trim($_POST['reglamentoTextoBoton']);
    $reglamentoTitulo = trim($_POST['reglamentoTitulo']);
    $slug = trim($_POST['slug']);
    $subtituloDePagina = trim($_POST['subtituloDePagina']);
   
    $tarifasSlug = trim($_POST['tarifasSlug']);
    $tarifasTexto = trim($_POST['tarifasTexto']);
    $tarifasTextoBoton = trim($_POST['tarifasTextoBoton']);
    $tarifasTitulo = trim($_POST['tarifasTitulo']);
    $tituloDePagina = trim($_POST['tituloDePagina']);


$file1= $oldimg;
$file2 = $oldimg2;
$file3 = $oldimg3;

    ////////////////SI HUBO CAMBIO DE IMAGEN
    
    if($newfile1 == 1){

        if (isset($_FILES['estatutosArchivo']) && $_FILES['estatutosArchivo']['error'] === UPLOAD_ERR_OK)
        {
            // get details of the uploaded file
            $fileTmpPath2 = $_FILES['estatutosArchivo']['tmp_name'];
            $fileName2 = $_FILES['estatutosArchivo']['name'];
            $fileSize2 = $_FILES['estatutosArchivo']['size'];
            $fileType2 = $_FILES['estatutosArchivo']['type'];
            $fileNameCmps2 = explode(".", $fileName2);
            $fileExtension2 = strtolower(end($fileNameCmps2));
        
            // sanitize file-name
            $newFileName2 = "Estatutos_archivo_".$lang. '.' . $fileExtension2;
    
            // check if file has one of the following extensions
            $allowedfileExtensions2 = array('doc', 'docx', 'xls', 'xlsx', 'pdf', 'zip');
        
            if (in_array($fileExtension2, $allowedfileExtensions2))
            {
            ///////////////SUBIR A AWS
                /// AWS API keys
                $aws_access_key_id = 'AKIA4EFX4JXF3WUEDZUY';
                $aws_secret_access_key = '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';
                // Bucket
                $bucket_name = 'indeval-webdocs-publico-01122020';
                // AWS region and Host Name (Host names are different for each AWS region)
                // As an example these are set to us-east-1 (US Standard)
                $aws_region = 'us-east-1';
                $host_name = $bucket_name . '.s3.amazonaws.com';

                // Server path where content is present. This is just an example
                //$content_path = $dest_path;
                $content2 = file_get_contents($fileTmpPath2);

                // AWS file permissions
                $content_acl = 'public-read';

                // MIME type of file. Very important to set if you later plan to load the file from a S3 url in the browser (images, for example)
                
                $content_type2 = $fileExtension;

                if($content_type2 == 'image/svg' ){ $content_type2 = "image/svg+xml";}
                if($content_type2 == 'zip' ){ $content_type2 = "application/zip";}
                if($content_type2 == 'doc' || $content_type2 == 'docx' ){ $content_type2 = "application/msword";}
                if($content_type2 == 'xls' || $content_type2 == 'xlsx' ){ $content_type2 = "application/vnd.ms-excel";}
                if($content_type2 == 'pdf' || $content_type2 == 'pdf' ){ $content_type2 = "application/pdf";}
                // Name of content on S3
                $content_title2 = 'docs/marco-normativo/'.$lang.'/'.$newFileName2;

                // Service name for S3
                $aws_service_name = 's3';

                // UTC timestamp and date
                $timestamp = gmdate('Ymd\THis\Z');
                $date = gmdate('Ymd');

                // HTTP request headers as key & value
                $request_headers = array();
                $request_headers['Content-Type'] = $content_type2;
                $request_headers['Content-Disposition'] = 'inline';
                $request_headers['Date'] = $timestamp;
                $request_headers['Host'] = $host_name;
                $request_headers['x-amz-acl'] = $content_acl;
                $request_headers['x-amz-content-sha256'] = hash('sha256', $content2);
                // Sort it in ascending order
                ksort($request_headers);

                // Canonical headers
                $canonical_headers = [];
                foreach($request_headers as $key => $value) {
                    $canonical_headers[] = strtolower($key) . ":" . $value;
                }
                $canonical_headers = implode("\n", $canonical_headers);

                // Signed headers
                $signed_headers = [];
                foreach($request_headers as $key => $value) {
                    $signed_headers[] = strtolower($key);
                }
                $signed_headers = implode(";", $signed_headers);

                // Cannonical request 
                $canonical_request = [];
                $canonical_request[] = "PUT";
                $canonical_request[] = "/" . $content_title2;
                $canonical_request[] = "";
                $canonical_request[] = $canonical_headers;
                $canonical_request[] = "";
                $canonical_request[] = $signed_headers;
                $canonical_request[] = hash('sha256', $content2);
                $canonical_request = implode("\n", $canonical_request);
                $hashed_canonical_request = hash('sha256', $canonical_request);

                // AWS Scope
                $scope = [];
                $scope[] = $date;
                $scope[] = $aws_region;
                $scope[] = $aws_service_name;
                $scope[] = "aws4_request";

                // String to sign
                $string_to_sign = [];
                $string_to_sign[] = "AWS4-HMAC-SHA256"; 
                $string_to_sign[] = $timestamp; 
                $string_to_sign[] = implode('/', $scope);
                $string_to_sign[] = $hashed_canonical_request;
                $string_to_sign = implode("\n", $string_to_sign);

                // Signing key
                $kSecret = 'AWS4' . $aws_secret_access_key;
                $kDate = hash_hmac('sha256', $date, $kSecret, true);
                $kRegion = hash_hmac('sha256', $aws_region, $kDate, true);
                $kService = hash_hmac('sha256', $aws_service_name, $kRegion, true);
                $kSigning = hash_hmac('sha256', 'aws4_request', $kService, true);

                // Signature
                $signature = hash_hmac('sha256', $string_to_sign, $kSigning);

                // Authorization
                $authorization = [
                    'Credential=' . $aws_access_key_id . '/' . implode('/', $scope),
                    'SignedHeaders=' . $signed_headers,
                    'Signature=' . $signature
                ];
                $authorization = 'AWS4-HMAC-SHA256' . ' ' . implode( ',', $authorization);

                // Curl headers
                $curl_headers = [ 'Authorization: ' . $authorization ];
                foreach($request_headers as $key => $value) {
                    $curl_headers[] = $key . ": " . $value;
                }

                $url = 'https://' . $host_name . '/' . $content_title2;
                $ch = curl_init($url);
                curl_setopt($ch, CURLOPT_HEADER, false);
                curl_setopt($ch, CURLOPT_HTTPHEADER, $curl_headers);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, false);
                curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
                curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
                curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "PUT");
                curl_setopt($ch, CURLOPT_POSTFIELDS, $content2);
                curl_exec($ch);
                $http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
                if($http_code != 200){
                    echo "Error AWS";
                }
                if($http_code == 200){
                    $file1 = $bucket.$content_title2;
                }
        
                
            }
            else
            {
                $message = '<p style="color:red; font-size:12px;">Extensión de archivo no válida. Verifica que tu archivo tenga uno de los siguientes formatos: ' . implode(', ', $allowedfileExtensions).'</p>';
                echo $message;
                exit();
            }
        }
        else
        {
            $message = '<p style="color:red; font-size:12px;">Error en subida de archivo:<br></p> ';
            $message .= '<p style="color:red; font-size:12px;">Error:' . $_FILES['imagen']['error'].'</p>';
            echo $message;
            exit();
        }
        echo $message;
    }

    if($newfile2 == 1){

        if (isset($_FILES['reglamentoArchivo']) && $_FILES['reglamentoArchivo']['error'] === UPLOAD_ERR_OK)
        {
            // get details of the uploaded file
            $fileTmpPath3 = $_FILES['reglamentoArchivo']['tmp_name'];
            $fileName3 = $_FILES['reglamentoArchivo']['name'];
            $fileSize3 = $_FILES['reglamentoArchivo']['size'];
            $fileType3 = $_FILES['reglamentoArchivo']['type'];
            $fileNameCmps3 = explode(".", $fileName3);
            $fileExtension3 = strtolower(end($fileNameCmps3));
        
            // sanitize file-name
            $newFileName3 = "reglamentoArchivo_".$lang. '.' . $fileExtension3;
    
            // check if file has one of the following extensions
            $allowedfileExtensions3 = array('doc', 'docx', 'xls', 'xlsx', 'pdf', 'zip');
        
            if (in_array($fileExtension3, $allowedfileExtensions3))
            {
            ///////////////SUBIR A AWS
                /// AWS API keys
                $aws_access_key_id = 'AKIA4EFX4JXF3WUEDZUY';
                $aws_secret_access_key = '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';
                // Bucket
                $bucket_name = 'indeval-webdocs-publico-01122020';
                // AWS region and Host Name (Host names are different for each AWS region)
                // As an example these are set to us-east-1 (US Standard)
                $aws_region = 'us-east-1';
                $host_name = $bucket_name . '.s3.amazonaws.com';

                // Server path where content is present. This is just an example
                //$content_path = $dest_path;
                $content3 = file_get_contents($fileTmpPath3);

                // AWS file permissions
                $content_acl = 'public-read';

                // MIME type of file. Very important to set if you later plan to load the file from a S3 url in the browser (images, for example)
                
                $content_type3 = $fileExtension3;

                if($content_type3 == 'image/svg' ){ $content_type3 = "image/svg+xml";}
                if($content_type3 == 'zip' ){ $content_type3 = "application/zip";}
                if($content_type3 == 'doc' || $content_type3 == 'docx' ){ $content_type3 = "application/msword";}
                if($content_type3 == 'xls' || $content_type3 == 'xlsx' ){ $content_type3 = "application/vnd.ms-excel";}
                if($content_type3 == 'pdf' || $content_type3 == 'pdf' ){ $content_type3 = "application/pdf";}
                // Name of content on S3
                $content_title3 = 'docs/marco-normativo/'.$lang.'/'.$newFileName3;

                // Service name for S3
                $aws_service_name = 's3';

                // UTC timestamp and date
                $timestamp = gmdate('Ymd\THis\Z');
                $date = gmdate('Ymd');

                // HTTP request headers as key & value
                $request_headers = array();
                $request_headers['Content-Type'] = $content_type3;
                $request_headers['Content-Disposition'] = 'inline';
                $request_headers['Date'] = $timestamp;
                $request_headers['Host'] = $host_name;
                $request_headers['x-amz-acl'] = $content_acl;
                $request_headers['x-amz-content-sha256'] = hash('sha256', $content3);
                // Sort it in ascending order
                ksort($request_headers);

                // Canonical headers
                $canonical_headers = [];
                foreach($request_headers as $key => $value) {
                    $canonical_headers[] = strtolower($key) . ":" . $value;
                }
                $canonical_headers = implode("\n", $canonical_headers);

                // Signed headers
                $signed_headers = [];
                foreach($request_headers as $key => $value) {
                    $signed_headers[] = strtolower($key);
                }
                $signed_headers = implode(";", $signed_headers);

                // Cannonical request 
                $canonical_request = [];
                $canonical_request[] = "PUT";
                $canonical_request[] = "/" . $content_title3;
                $canonical_request[] = "";
                $canonical_request[] = $canonical_headers;
                $canonical_request[] = "";
                $canonical_request[] = $signed_headers;
                $canonical_request[] = hash('sha256', $content3);
                $canonical_request = implode("\n", $canonical_request);
                $hashed_canonical_request = hash('sha256', $canonical_request);

                // AWS Scope
                $scope = [];
                $scope[] = $date;
                $scope[] = $aws_region;
                $scope[] = $aws_service_name;
                $scope[] = "aws4_request";

                // String to sign
                $string_to_sign = [];
                $string_to_sign[] = "AWS4-HMAC-SHA256"; 
                $string_to_sign[] = $timestamp; 
                $string_to_sign[] = implode('/', $scope);
                $string_to_sign[] = $hashed_canonical_request;
                $string_to_sign = implode("\n", $string_to_sign);

                // Signing key
                $kSecret = 'AWS4' . $aws_secret_access_key;
                $kDate = hash_hmac('sha256', $date, $kSecret, true);
                $kRegion = hash_hmac('sha256', $aws_region, $kDate, true);
                $kService = hash_hmac('sha256', $aws_service_name, $kRegion, true);
                $kSigning = hash_hmac('sha256', 'aws4_request', $kService, true);

                // Signature
                $signature = hash_hmac('sha256', $string_to_sign, $kSigning);

                // Authorization
                $authorization = [
                    'Credential=' . $aws_access_key_id . '/' . implode('/', $scope),
                    'SignedHeaders=' . $signed_headers,
                    'Signature=' . $signature
                ];
                $authorization = 'AWS4-HMAC-SHA256' . ' ' . implode( ',', $authorization);

                // Curl headers
                $curl_headers = [ 'Authorization: ' . $authorization ];
                foreach($request_headers as $key => $value) {
                    $curl_headers[] = $key . ": " . $value;
                }

                $url = 'https://' . $host_name . '/' . $content_title3;
                $ch = curl_init($url);
                curl_setopt($ch, CURLOPT_HEADER, false);
                curl_setopt($ch, CURLOPT_HTTPHEADER, $curl_headers);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, false);
                curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
                curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
                curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "PUT");
                curl_setopt($ch, CURLOPT_POSTFIELDS, $content3);
                curl_exec($ch);
                $http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
                if($http_code != 200){
                    echo "Error AWS";
                }
                if($http_code == 200){
                    $file2 = $bucket.$content_title3;
                }
        
                
            }
            else
            {
                $message = '<p style="color:red; font-size:12px;">Extensión de archivo no válida. Verifica que tu archivo tenga uno de los siguientes formatos: ' . implode(', ', $allowedfileExtensions).'</p>';
                echo $message;
                exit();
            }
        }
        else
        {
            $message = '<p style="color:red; font-size:12px;">Error en subida de archivo:<br></p> ';
            $message .= '<p style="color:red; font-size:12px;">Error:' . $_FILES['imagen']['error'].'</p>';
            echo $message;
            exit();
        }
        echo $message;
    }

    if($newfile3 == 1){

        if (isset($_FILES['tarifasArchivo']) && $_FILES['tarifasArchivo']['error'] === UPLOAD_ERR_OK)
        {
            // get details of the uploaded file
            $fileTmpPath_tarifas = $_FILES['tarifasArchivo']['tmp_name'];
            $fileName_tarifas = $_FILES['tarifasArchivo']['name'];
            $fileSize_tarifas = $_FILES['tarifasArchivo']['size'];
            $fileType_tarifas = $_FILES['tarifasArchivo']['type'];
            $fileNameCmps_tarifas = explode(".", $fileName_tarifas);
            $fileExtension_tarifas = strtolower(end($fileNameCmps_tarifas));
        
            // sanitize file-name
            $newFileName_tarifas = "tarifasArchivo_".$lang. '.' . $fileExtension_tarifas;
    
            // check if file has one of the following extensions
            $allowedfileExtensions_tarifas = array('doc', 'docx', 'xls', 'xlsx', 'pdf', 'zip');
        
            if (in_array($fileExtension_tarifas, $allowedfileExtensions_tarifas))
            {
            ///////////////SUBIR A AWS
                /// AWS API keys
                $aws_access_key_id = 'AKIA4EFX4JXF3WUEDZUY';
                $aws_secret_access_key = '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';
                // Bucket
                $bucket_name = 'indeval-webdocs-publico-01122020';
                // AWS region and Host Name (Host names are different for each AWS region)
                // As an example these are set to us-east-1 (US Standard)
                $aws_region = 'us-east-1';
                $host_name = $bucket_name . '.s3.amazonaws.com';

                // Server path where content is present. This is just an example
                //$content_path = $dest_path;
                $content_tarifas = file_get_contents($fileTmpPath_tarifas);

                // AWS file permissions
                $content_acl = 'public-read';

                // MIME type of file. Very important to set if you later plan to load the file from a S3 url in the browser (images, for example)
                
                $content_type_tarifas = $fileExtension_tarifas;

                if($content_type_tarifas == 'image/svg' ){ $content_type_tarifas = "image/svg+xml";}
                if($content_type_tarifas == 'zip' ){ $content_type_tarifas = "application/zip";}
                if($content_type_tarifas == 'doc' || $content_type_tarifas == 'docx' ){ $content_type_tarifas = "application/msword";}
                if($content_type_tarifas == 'xls' || $content_type_tarifas == 'xlsx' ){ $content_type_tarifas = "application/vnd.ms-excel";}
                if($content_type_tarifas == 'pdf' || $content_type_tarifas == 'pdf' ){ $content_type_tarifas = "application/pdf";}
                // Name of content on S3
                $content_title_tarifas = 'docs/marco-normativo/'.$lang.'/'.$newFileName_tarifas;

                // Service name for S3
                $aws_service_name = 's3';

                // UTC timestamp and date
                $timestamp = gmdate('Ymd\THis\Z');
                $date = gmdate('Ymd');

                // HTTP request headers as key & value
                $request_headers = array();
                $request_headers['Content-Type'] = $content_type_tarifas;
                $request_headers['Content-Disposition'] = 'inline';
                $request_headers['Date'] = $timestamp;
                $request_headers['Host'] = $host_name;
                $request_headers['x-amz-acl'] = $content_acl;
                $request_headers['x-amz-content-sha256'] = hash('sha256', $content_tarifas);
                // Sort it in ascending order
                ksort($request_headers);

                // Canonical headers
                $canonical_headers = [];
                foreach($request_headers as $key => $value) {
                    $canonical_headers[] = strtolower($key) . ":" . $value;
                }
                $canonical_headers = implode("\n", $canonical_headers);

                // Signed headers
                $signed_headers = [];
                foreach($request_headers as $key => $value) {
                    $signed_headers[] = strtolower($key);
                }
                $signed_headers = implode(";", $signed_headers);

                // Cannonical request 
                $canonical_request = [];
                $canonical_request[] = "PUT";
                $canonical_request[] = "/" . $content_title_tarifas;
                $canonical_request[] = "";
                $canonical_request[] = $canonical_headers;
                $canonical_request[] = "";
                $canonical_request[] = $signed_headers;
                $canonical_request[] = hash('sha256', $content_tarifas);
                $canonical_request = implode("\n", $canonical_request);
                $hashed_canonical_request = hash('sha256', $canonical_request);

                // AWS Scope
                $scope = [];
                $scope[] = $date;
                $scope[] = $aws_region;
                $scope[] = $aws_service_name;
                $scope[] = "aws4_request";

                // String to sign
                $string_to_sign = [];
                $string_to_sign[] = "AWS4-HMAC-SHA256"; 
                $string_to_sign[] = $timestamp; 
                $string_to_sign[] = implode('/', $scope);
                $string_to_sign[] = $hashed_canonical_request;
                $string_to_sign = implode("\n", $string_to_sign);

                // Signing key
                $kSecret = 'AWS4' . $aws_secret_access_key;
                $kDate = hash_hmac('sha256', $date, $kSecret, true);
                $kRegion = hash_hmac('sha256', $aws_region, $kDate, true);
                $kService = hash_hmac('sha256', $aws_service_name, $kRegion, true);
                $kSigning = hash_hmac('sha256', 'aws4_request', $kService, true);

                // Signature
                $signature = hash_hmac('sha256', $string_to_sign, $kSigning);

                // Authorization
                $authorization = [
                    'Credential=' . $aws_access_key_id . '/' . implode('/', $scope),
                    'SignedHeaders=' . $signed_headers,
                    'Signature=' . $signature
                ];
                $authorization = 'AWS4-HMAC-SHA256' . ' ' . implode( ',', $authorization);

                // Curl headers
                $curl_headers = [ 'Authorization: ' . $authorization ];
                foreach($request_headers as $key => $value) {
                    $curl_headers[] = $key . ": " . $value;
                }

                $url = 'https://' . $host_name . '/' . $content_title_tarifas;
                $ch = curl_init($url);
                curl_setopt($ch, CURLOPT_HEADER, false);
                curl_setopt($ch, CURLOPT_HTTPHEADER, $curl_headers);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, false);
                curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
                curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
                curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "PUT");
                curl_setopt($ch, CURLOPT_POSTFIELDS, $content_tarifas);
                curl_exec($ch);
                $http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
                if($http_code != 200){
                    echo "Error AWS";
                }
                if($http_code == 200){
                    $file3 = $bucket.$content_title_tarifas;
                }
        
                
            }
            else
            {
                $message = '<p style="color:red; font-size:12px;">Extensión de archivo no válida. Verifica que tu archivo tenga uno de los siguientes formatos: ' . implode(', ', $allowedfileExtensions_tarifas).'</p>';
                echo $message;
                exit();
            }
        }
        else
        {
            $message = '<p style="color:red; font-size:12px;">Error en subida de archivo:<br></p> ';
            $message .= '<p style="color:red; font-size:12px;">Error:' . $_FILES['tarifasArchivo']['error'].'</p>';
            echo $message;
            exit();
        }
        echo $message;
    }

    $curl = curl_init();

    $id = 'ckla6ons8290o0977773otrpx';

    if($lang == "en"){


        curl_setopt_array($curl, array(
            CURLOPT_URL => 'https://api-us-east-1.graphcms.com/v2/ckkxmrn6cw3ga01ywc1spb2qu/master',
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => 'POST',
            CURLOPT_POSTFIELDS =>'{"query":"mutation MyMutation {\\r\\n  updatePaginaMarcoNormativo(data: {estatutosArchivo: \\"'.$file1.'\\", estatutosSlug: \\"'.$estatutosSlug.'\\", estatutosTexto: \\"'.$estatutosTexto.'\\", estatutosTextoBoton: \\"'.$estatutosTextoBoton.'\\", estatutosTitulo: \\"'.$estatutosTitulo.'\\", reglamentoArchivo: \\"'.$file2.'\\", reglamentoSlug: \\"'.$reglamentoSlug.'\\", reglamentoTextoBoton: \\"'.$reglamentoTextoBoton.'\\", reglamentoTexto: \\"'.$reglamentoTexto.'\\", reglamentoTitulo: \\"'.$reglamentoTitulo.'\\", enviadoRevision: \\"'.$enviado.'\\", tarifasArchivo: \\"'.$file3.'\\", tarifasSlug: \\"'.$tarifasSlug.'\\", tarifasTexto: \\"'.$tarifasTexto.'\\", tarifasTextoBoton: \\"'.$tarifasTextoBoton.'\\", tarifasTitulo: \\"'.$tarifasTitulo.'\\"}, where: {id: \\"'.$id.'\\"}) {\\r\\n    id\\r\\n  }\\r\\n \\r\\n}","variables":{}}',
            CURLOPT_HTTPHEADER => array(
              'Content-Type: application/json',
              'Cookie: __cfduid=da2693cdfd39b7377a8a05e305da45b8f1613001694'
            ),
          ));

    }

    if($lang == "es"){

            curl_setopt_array($curl, array(
            CURLOPT_URL => 'https://api-us-east-1.graphcms.com/v2/ckkxmrn6cw3ga01ywc1spb2qu/master',
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => 'POST',

            CURLOPT_POSTFIELDS =>'{"query":"mutation MyMutation {\\r\\n  updatePaginaMarcoNormativo(data: {localizations: {update: {data: {estatutosArchivo: \\"'.$file1.'\\", estatutosSlug: \\"'.$estatutosSlug.'\\", estatutosTexto: \\"'.$estatutosTexto.'\\", estatutosTextoBoton: \\"'.$estatutosTextoBoton.'\\", estatutosTitulo: \\"'.$estatutosTitulo.'\\", reglamentoArchivo: \\"'.$file2.'\\", reglamentoSlug: \\"'.$reglamentoSlug.'\\", reglamentoTextoBoton: \\"'.$reglamentoTextoBoton.'\\", reglamentoTexto: \\"'.$reglamentoTexto.'\\", reglamentoTitulo: \\"'.$reglamentoTitulo.'\\", tarifasArchivo: \\"'.$file3.'\\", tarifasSlug: \\"'.$tarifasSlug.'\\", tarifasTexto: \\"'.$tarifasTexto.'\\", tarifasTextoBoton: \\"'.$tarifasTextoBoton.'\\", enviadoRevision: \\"'.$enviado.'\\", tarifasTitulo: \\"'.$tarifasTitulo.'\\"}, locale: es_MX}}}, where: {id: \\"'.$id.'\\"}) {\\r\\n    id\\r\\n  }\\r\\n  \\r\\n}","variables":{}}',
            CURLOPT_HTTPHEADER => array(
              'Content-Type: application/json',
              'Cookie: __cfduid=da2693cdfd39b7377a8a05e305da45b8f1613001694'
            ),
          ));

    }


    $response = curl_exec($curl);
    curl_close($curl);
    //echo $response;

    $jsonrespuesta = json_decode($response, true);
    $id = $jsonrespuesta['data']['updatePaginaMarcoNormativo']['id'];

//echo $id;

  $sucess = "<p class='successmsg'>Marco Normativo actualizado correctamente</p>";
  $fail = "<p class='errormsg'>Falló la actualización..</p> ";


if(strlen($id)>10){

    echo $sucess;

    $string = $newstatus;
    $string = '"'.$string.'"';
    echo '<script>
        
        setTimeout(() => {
            $(".popUpMarco").fadeOut();
        }, 1500);
    </script>';
}

else{
    echo $fail;
}

?>